rooms/:name/recordings/start
curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/recordings/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"width": 123,
"height": 123,
"fps": 123,
"videoBitrate": 123,
"audioBitrate": 123,
"minIdleTimeOut": 123,
"maxDuration": 123,
"backgroundColor": "<string>",
"instanceId": "<string>",
"type": "cloud",
"layout": {
"preset": "default",
"max_cam_streams": 123
},
"dataOutputs": [
"<string>"
]
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/recordings/start"
payload = {
"width": 123,
"height": 123,
"fps": 123,
"videoBitrate": 123,
"audioBitrate": 123,
"minIdleTimeOut": 123,
"maxDuration": 123,
"backgroundColor": "<string>",
"instanceId": "<string>",
"type": "cloud",
"layout": {
"preset": "default",
"max_cam_streams": 123
},
"dataOutputs": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
width: 123,
height: 123,
fps: 123,
videoBitrate: 123,
audioBitrate: 123,
minIdleTimeOut: 123,
maxDuration: 123,
backgroundColor: '<string>',
instanceId: '<string>',
type: 'cloud',
layout: {preset: 'default', max_cam_streams: 123},
dataOutputs: ['<string>']
})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/recordings/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daily.co/v1/rooms/{room_name}/recordings/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'width' => 123,
'height' => 123,
'fps' => 123,
'videoBitrate' => 123,
'audioBitrate' => 123,
'minIdleTimeOut' => 123,
'maxDuration' => 123,
'backgroundColor' => '<string>',
'instanceId' => '<string>',
'type' => 'cloud',
'layout' => [
'preset' => 'default',
'max_cam_streams' => 123
],
'dataOutputs' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.daily.co/v1/rooms/{room_name}/recordings/start"
payload := strings.NewReader("{\n \"width\": 123,\n \"height\": 123,\n \"fps\": 123,\n \"videoBitrate\": 123,\n \"audioBitrate\": 123,\n \"minIdleTimeOut\": 123,\n \"maxDuration\": 123,\n \"backgroundColor\": \"<string>\",\n \"instanceId\": \"<string>\",\n \"type\": \"cloud\",\n \"layout\": {\n \"preset\": \"default\",\n \"max_cam_streams\": 123\n },\n \"dataOutputs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.daily.co/v1/rooms/{room_name}/recordings/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"width\": 123,\n \"height\": 123,\n \"fps\": 123,\n \"videoBitrate\": 123,\n \"audioBitrate\": 123,\n \"minIdleTimeOut\": 123,\n \"maxDuration\": 123,\n \"backgroundColor\": \"<string>\",\n \"instanceId\": \"<string>\",\n \"type\": \"cloud\",\n \"layout\": {\n \"preset\": \"default\",\n \"max_cam_streams\": 123\n },\n \"dataOutputs\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daily.co/v1/rooms/{room_name}/recordings/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"width\": 123,\n \"height\": 123,\n \"fps\": 123,\n \"videoBitrate\": 123,\n \"audioBitrate\": 123,\n \"minIdleTimeOut\": 123,\n \"maxDuration\": 123,\n \"backgroundColor\": \"<string>\",\n \"instanceId\": \"<string>\",\n \"type\": \"cloud\",\n \"layout\": {\n \"preset\": \"default\",\n \"max_cam_streams\": 123\n },\n \"dataOutputs\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "sent"
}{
"error": "invalid-request-error",
"info": "missing required field"
}Recordings
Room Recordings Start
Start a recording in a room
POST
/
rooms
/
{room_name}
/
recordings
/
start
rooms/:name/recordings/start
curl --request POST \
--url https://api.daily.co/v1/rooms/{room_name}/recordings/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"width": 123,
"height": 123,
"fps": 123,
"videoBitrate": 123,
"audioBitrate": 123,
"minIdleTimeOut": 123,
"maxDuration": 123,
"backgroundColor": "<string>",
"instanceId": "<string>",
"type": "cloud",
"layout": {
"preset": "default",
"max_cam_streams": 123
},
"dataOutputs": [
"<string>"
]
}
'import requests
url = "https://api.daily.co/v1/rooms/{room_name}/recordings/start"
payload = {
"width": 123,
"height": 123,
"fps": 123,
"videoBitrate": 123,
"audioBitrate": 123,
"minIdleTimeOut": 123,
"maxDuration": 123,
"backgroundColor": "<string>",
"instanceId": "<string>",
"type": "cloud",
"layout": {
"preset": "default",
"max_cam_streams": 123
},
"dataOutputs": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
width: 123,
height: 123,
fps: 123,
videoBitrate: 123,
audioBitrate: 123,
minIdleTimeOut: 123,
maxDuration: 123,
backgroundColor: '<string>',
instanceId: '<string>',
type: 'cloud',
layout: {preset: 'default', max_cam_streams: 123},
dataOutputs: ['<string>']
})
};
fetch('https://api.daily.co/v1/rooms/{room_name}/recordings/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daily.co/v1/rooms/{room_name}/recordings/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'width' => 123,
'height' => 123,
'fps' => 123,
'videoBitrate' => 123,
'audioBitrate' => 123,
'minIdleTimeOut' => 123,
'maxDuration' => 123,
'backgroundColor' => '<string>',
'instanceId' => '<string>',
'type' => 'cloud',
'layout' => [
'preset' => 'default',
'max_cam_streams' => 123
],
'dataOutputs' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.daily.co/v1/rooms/{room_name}/recordings/start"
payload := strings.NewReader("{\n \"width\": 123,\n \"height\": 123,\n \"fps\": 123,\n \"videoBitrate\": 123,\n \"audioBitrate\": 123,\n \"minIdleTimeOut\": 123,\n \"maxDuration\": 123,\n \"backgroundColor\": \"<string>\",\n \"instanceId\": \"<string>\",\n \"type\": \"cloud\",\n \"layout\": {\n \"preset\": \"default\",\n \"max_cam_streams\": 123\n },\n \"dataOutputs\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.daily.co/v1/rooms/{room_name}/recordings/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"width\": 123,\n \"height\": 123,\n \"fps\": 123,\n \"videoBitrate\": 123,\n \"audioBitrate\": 123,\n \"minIdleTimeOut\": 123,\n \"maxDuration\": 123,\n \"backgroundColor\": \"<string>\",\n \"instanceId\": \"<string>\",\n \"type\": \"cloud\",\n \"layout\": {\n \"preset\": \"default\",\n \"max_cam_streams\": 123\n },\n \"dataOutputs\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daily.co/v1/rooms/{room_name}/recordings/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"width\": 123,\n \"height\": 123,\n \"fps\": 123,\n \"videoBitrate\": 123,\n \"audioBitrate\": 123,\n \"minIdleTimeOut\": 123,\n \"maxDuration\": 123,\n \"backgroundColor\": \"<string>\",\n \"instanceId\": \"<string>\",\n \"type\": \"cloud\",\n \"layout\": {\n \"preset\": \"default\",\n \"max_cam_streams\": 123\n },\n \"dataOutputs\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "sent"
}{
"error": "invalid-request-error",
"info": "missing required field"
}Authorizations
Body
application/json
Amount of time in seconds to wait before ending a recording or live stream when the room is idle (e.g. when all users have muted video and audio). Default: 300 (seconds). Note: Once the timeout has been reached, it typically takes an additional 1-3 minutes for the recording or live stream to be shut down.
An object specifying the way participants’ videos are laid out in the live stream. See given layout configs for description of fields. Preset must be defined.
- DailyStreamingLayoutConfig
- DailyStreamingLayoutConfig
- DailyStreamingLayoutConfig
- DailyStreamingLayoutConfig
- DailyStreamingLayoutConfig
Show child attributes
Show child attributes
Response
200